package com.ruoyi.tjfx.service;

import com.ruoyi.tjfx.common.PageResponse;
import com.ruoyi.tjfx.entity.Category;
import java.util.List;

public interface CategoryService {
    List<Category> getAllSimple();
    List<Category> listAll();
    Category getById(Long id);
    void add(Category category);
    void update(Long id, Category category);
    void delete(Long id);
    void addBatch(List<Category> categorys);

    // 分页查询
    PageResponse<Category> getPage(Integer page, Integer pageSize, String name);
}
